include: package:flutter_lints/flutter.yaml

analyzer:
  exclude:
    - "**/*.freezed.dart"
    - "**/*.g.dart"
  errors:
    invalid_annotation_target: ignore
linter:
  rules:
    always_declare_return_types: true
    always_use_package_imports: true
    avoid_dynamic_calls: true
    avoid_print: true
    cancel_subscriptions: true
    close_sinks: true
    directives_ordering: true
    discarded_futures: true
    only_throw_errors: true
    prefer_final_locals: true
    secure_pubspec_urls: true
    unawaited_futures: true
